#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apiver	%(echo %{version} | cut -d '.' -f1)
#-----------------------------------------------------------------------------
Name		:	retro-gtk
Version		:	1.0.2
Release		:	16.2.0.rel%{?dist}
Summary		:	The GTK+ Libretro frontend framework

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://gitlab.gnome.org/GNOME/retro-gtk/tags

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-meson-fail-to-build.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	meson

BuildRequires	:	libsamplerate
BuildRequires	:	pkgconfig(cairo)
BuildRequires	:	pkgconfig(epoxy)
BuildRequires	:	pkgconfig(gio-2.0)
BuildRequires	:	pkgconfig(gladeui-2.0)
BuildRequires	:	pkgconfig(glib-2.0)
BuildRequires	:	pkgconfig(gmodule-2.0)
BuildRequires	:	pkgconfig(gobject-introspection-1.0)
BuildRequires	:	pulseaudio

BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
Libretro is a plugin format design to implement video game console emulators,
video games and similar multimedia software. Such plugins are called Libretro
cores.
 
retro-gtk is a framework easing the usage of Libretro cores in conjunction
with GTK+.
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{apiver}.so.0
%{_libdir}/girepository-1.0/*.typelib
%{_libexecdir}/retro-runner

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This subpackage contains the headers to make use of the
libretro-gtk library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_bindir}/retro-demo
%{_libdir}/lib%{name}-%{apiver}.so
%{_libdir}/pkgconfig/%{name}-%{apiver}.pc
%{_datadir}/gir-1.0/*-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}*-%{apiver}.deps
%{_datadir}/vala/vapi/%{name}*-%{apiver}.vapi


#=============================================================================
%prep
%setup -q
%patch0 -p1
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

#-----------------------------------------------------------------------------
%changelog

